CREATE TABLE CRST_AP_BANK_ACCOUNTS
(
  BANK_ACCOUNT_ID               NUMBER(15),
  BANK_ACCOUNT_NAME             VARCHAR2(80 BYTE),
  LAST_UPDATE_DATE              DATE,
  LAST_UPDATED_BY               NUMBER(15),
  LAST_UPDATE_LOGIN             NUMBER(15),
  CREATION_DATE                 DATE,
  CREATED_BY                    VARCHAR2(15 BYTE),
  BANK_ACCOUNT_NUM              VARCHAR2(30 BYTE),
  BANK_BRANCH_ID                NUMBER(15),
  SET_OF_BOOKS_ID               NUMBER(15),
  CURRENCY_CODE                 VARCHAR2(15 BYTE),
  DESCRIPTION                   VARCHAR2(240 BYTE),
  CONTACT_FIRST_NAME            VARCHAR2(15 BYTE),
  CONTACT_MIDDLE_NAME           VARCHAR2(15 BYTE),
  CONTACT_LAST_NAME             VARCHAR2(20 BYTE),
  CONTACT_PREFIX                VARCHAR2(5 BYTE),
  CONTACT_TITLE                 VARCHAR2(30 BYTE),
  CONTACT_AREA_CODE             VARCHAR2(10 BYTE),
  CONTACT_PHONE                 VARCHAR2(15 BYTE),
  MAX_CHECK_AMOUNT              NUMBER,
  MIN_CHECK_AMOUNT              NUMBER,
  ONE_SIGNATURE_MAX_FLAG        VARCHAR2(1 BYTE),
  INACTIVE_DATE                 DATE,
  AVG_FLOAT_DAYS                NUMBER(15),
  ASSET_CODE_COMBINATION_ID     NUMBER(15),
  GAIN_CODE_COMBINATION_ID      NUMBER(15),
  LOSS_CODE_COMBINATION_ID      NUMBER(15),
  BANK_ACCOUNT_TYPE             VARCHAR2(25 BYTE),
  VALIDATION_NUMBER             NUMBER(5),
  MAX_OUTLAY                    NUMBER,
  MULTI_CURRENCY_FLAG           VARCHAR2(1 BYTE),
  ACCOUNT_TYPE                  VARCHAR2(25 BYTE),
  ATTRIBUTE_CATEGORY            VARCHAR2(150 BYTE),
  ATTRIBUTE1                    VARCHAR2(150 BYTE),
  ATTRIBUTE2                    VARCHAR2(150 BYTE),
  ATTRIBUTE3                    VARCHAR2(150 BYTE),
  ATTRIBUTE4                    VARCHAR2(150 BYTE),
  ATTRIBUTE5                    VARCHAR2(150 BYTE),
  ATTRIBUTE6                    VARCHAR2(150 BYTE),
  ATTRIBUTE7                    VARCHAR2(150 BYTE),
  ATTRIBUTE8                    VARCHAR2(150 BYTE),
  ATTRIBUTE9                    VARCHAR2(150 BYTE),
  ATTRIBUTE10                   VARCHAR2(150 BYTE),
  ATTRIBUTE11                   VARCHAR2(150 BYTE),
  ATTRIBUTE12                   VARCHAR2(150 BYTE),
  ATTRIBUTE13                   VARCHAR2(150 BYTE),
  ATTRIBUTE14                   VARCHAR2(150 BYTE),
  ATTRIBUTE15                   VARCHAR2(150 BYTE),
  POOLED_FLAG                   VARCHAR2(1 BYTE),
  ZERO_AMOUNTS_ALLOWED          VARCHAR2(1 BYTE),
  REQUEST_ID                    NUMBER(15),
  PROGRAM_APPLICATION_ID        NUMBER(15),
  PROGRAM_ID                    NUMBER(15),
  PROGRAM_UPDATE_DATE           DATE,
  RECEIPT_MULTI_CURRENCY_FLAG   VARCHAR2(1 BYTE),
  CHECK_DIGITS                  VARCHAR2(30 BYTE),
  ORG_ID                        NUMBER(15),
  CASH_CLEARING_CCID            NUMBER(15),
  BANK_CHARGES_CCID             NUMBER(15),
  BANK_ERRORS_CCID              NUMBER(15),
  EARNED_CCID                   NUMBER(15),
  UNEARNED_CCID                 NUMBER(15),
  ON_ACCOUNT_CCID               NUMBER(15),
  UNAPPLIED_CCID                NUMBER(15),
  UNIDENTIFIED_CCID             NUMBER(15),
  FACTOR_CCID                   NUMBER(15),
  RECEIPT_CLEARING_CCID         NUMBER(15),
  REMITTANCE_CCID               NUMBER(15),
  SHORT_TERM_DEPOSIT_CCID       NUMBER(15),
  GLOBAL_ATTRIBUTE_CATEGORY     VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE1             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20            VARCHAR2(150 BYTE),
  BANK_ACCOUNT_NAME_ALT         VARCHAR2(320 BYTE),
  ACCOUNT_HOLDER_NAME           VARCHAR2(240 BYTE),
  ACCOUNT_HOLDER_NAME_ALT       VARCHAR2(150 BYTE),
  EFT_REQUESTER_ID              VARCHAR2(25 BYTE),
  EFT_USER_NUMBER               VARCHAR2(30 BYTE),
  PAYROLL_BANK_ACCOUNT_ID       NUMBER(9),
  FUTURE_DATED_PAYMENT_CCID     NUMBER(15),
  EDISC_RECEIVABLES_TRX_ID      NUMBER(15),
  UNEDISC_RECEIVABLES_TRX_ID    NUMBER(15),
  BR_REMITTANCE_CCID            NUMBER(15),
  BR_FACTOR_CCID                NUMBER(15),
  BR_STD_RECEIVABLES_TRX_ID     NUMBER(15),
  ALLOW_MULTI_ASSIGNMENTS_FLAG  VARCHAR2(1 BYTE),
  AGENCY_LOCATION_CODE          VARCHAR2(30 BYTE),
  IBAN_NUMBER                   VARCHAR2(40 BYTE),
  DUMMY                         CHAR(1),
  LAST_UPDATED_BY_NAME          VARCHAR2(100),
  CREATED_BY_NAME               VARCHAR2(100),
  BANK_NAME                     VARCHAR2(100),
  SOB_SHORT_NAME                VARCHAR2(100),
  ASSET_CCID_D                  VARCHAR2(100),
  GAIN_CCID_D                   VARCHAR2(100),
  LOSS_CCID_D                   VARCHAR2(100),
  ORG_NAME                      VARCHAR2(100),
  CASH_CLEARING_CCID_D          VARCHAR2(100),
  BANK_CHARGES_CCID_D           VARCHAR2(100),
  BANK_ERROR_CCID_D             VARCHAR2(100),
  EARNED_CCID_D                 VARCHAR2(100),
  UNEARNED_CCID_D               VARCHAR2(100),
  ON_ACCOUNT_CCID_D             VARCHAR2(100),
  UNAPPLIED_CCID_D              VARCHAR2(100),
  UNIDENTIFIED_CCID_D           VARCHAR2(100),
  FACTOR_CCID_D                 VARCHAR2(100),
  RECEIPT_CLEARING_CCID_D       VARCHAR2(100),
  REMITTANCE_CCID_D             VARCHAR2(100),
  SHORT_TERM_DEPOSIT_CCID_D     VARCHAR2(100),
  FUTURE_DATED_PAYMENT_CCID_D   VARCHAR2(100),
  BR_REMITTANCE_CCID_D          VARCHAR2(100),
  BR_FACTOR_CCID_D              VARCHAR2(100)
);